/*
 * Bomb.h
 *
 *  Created on: Jan 4, 2014
 *      Author: brian
 */

#ifndef __Bomb_h__
#define __Bomb_h__

#include "GameObject.h"
#include "Vector2D.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Bomb : public GameObject
{
public:
	Bomb();
	virtual ~Bomb() ;

  void load(int x, int y, int width, int height, std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();
  void setX(int x);
  void setFall(float y);
  Vector2D& getPosition() {
	m_position.setX(m_x);
	m_position.setY(m_y);
	  return m_position;
  }

private:
  Vector2D m_heading;
  Vector2D m_position;
  bool m_falling;


  // how long the death animation takes, along with a counter
  int m_dyingTime;
  int m_dyingCounter;

  // has the explosion sound played?
  bool m_bPlayedDeathSound;
};

#endif



